X2Go Bug report logs - #1338
openSUSE Tumbleweed RPM builds against obsolete (and nowadays missing) libssh

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Tristan Miller <psychonaut@nothingisreal.com>

Date: Sun, 28 Oct 2018 20:20:02 UTC

Severity: normal

Tags: pending, rpm-packages

Merged with 1320

Found in version 4.1.2.1

Fixed in version 4.1.2.2

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1338; Package x2goclient. (Sun, 28 Oct 2018 20:20:03 GMT) (full text, mbox, link).


Acknowledgement sent to Tristan Miller <psychonaut@nothingisreal.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 28 Oct 2018 20:20:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: Tristan Miller <psychonaut@nothingisreal.com>
To: submit@bugs.x2go.org
Subject: openSUSE Tumbleweed RPM builds against obsolete (and nowadays missing) libssh
Date: Sun, 28 Oct 2018 21:15:15 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.1.2.2
Tag: patch

The openSUSE Tumbleweed RPM for x2goclient at
<https://wiki.x2go.org/doku.php/wiki:repositories:suse> cannot be built
or installed on recent versions of Tumbleweed because it depends on an
obsolete version of libssh that is no longer distributed with
Tumbleweed.

However, updating the dependency to a modern libssh requires changing
not only the RPM spec file but also the x2goclient source code. This is
because recent versions of libssh install both the standard and
threaded libraries in the same library, whereas the existing source
code attempts to link them as two unique libraries.

Attached is a patch to the spec file that fixes the libssh dependency
for Tumbleweed, and applies a patch (also attached) to the x2goclient
source code that stops it from trying to link to the nowadays missing
ssh_threads library.  (Maybe the latter patch should be merged into the
official x2goclient source, though of course this depends on what
version(s) of libssh the x2goclient developers intend to support.)

Attachment: x2goclient.spec.patch
Attachment: x2goclient-libssh.patch
[x2goclient.spec.patch (text/x-patch, attachment)]
[x2goclient-libssh.patch (text/x-patch, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1338; Package x2goclient. (Fri, 09 Nov 2018 12:00:03 GMT) (full text, mbox, link).


Acknowledgement sent to Ferdinand Prantl <prantlf@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 09 Nov 2018 12:00:03 GMT) (full text, mbox, link).


Message #10 received at 1338@bugs.x2go.org (full text, mbox, reply):

From: Ferdinand Prantl <prantlf@gmail.com>
To: 1338@bugs.x2go.org
Subject: Tristan's patch works on Ubuntu too
Date: Fri, 9 Nov 2018 12:55:43 +0100
[Message part 1 (text/plain, inline)]
I had to compile x2goclient from sources, because the offical package for
Ubuntu does not work with qt5 from the Ubuntu distribution. This patch
helped me to compile it from sources.
[Message part 2 (text/html, inline)]

Added tag(s) rpm-packages. Request was from Tristan Miller <psychonaut@nothingisreal.com> to control@bugs.x2go.org. (Wed, 09 Jan 2019 12:30:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1338; Package x2goclient. (Wed, 09 Jan 2019 12:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to Tristan Miller <psychonaut@nothingisreal.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 09 Jan 2019 12:40:02 GMT) (full text, mbox, link).


Message #17 received at 1338@bugs.x2go.org (full text, mbox, reply):

From: Tristan Miller <psychonaut@nothingisreal.com>
To: 1338@bugs.x2go.org
Subject: Works for me now
Date: Wed, 9 Jan 2019 13:16:39 +0100
[Message part 1 (text/plain, inline)]
The official RPM has been working for me for a while now.  Either
someone applied my patch, or they applied a different patch with the
same effect.  Either way, if no one else is still experiencing this
problem, then this bug can be closed.
[Message part 2 (application/pgp-signature, inline)]

Marked as found in versions 4.1.2.1; no longer marked as found in versions 4.1.2.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Jun 2019 10:20:02 GMT) (full text, mbox, link).


Merged 1320 1338 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Jun 2019 10:20:02 GMT) (full text, mbox, link).


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Jun 2019 21:20:04 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.2.2. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 18 Jun 2019 21:20:04 GMT) (full text, mbox, link).


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Wed, 12 Feb 2020 21:50:14 GMT) (full text, mbox, link).


Notification sent to Tristan Miller <psychonaut@nothingisreal.com>:
Bug acknowledged by developer. (Wed, 12 Feb 2020 21:50:14 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Thu, 12 Mar 2020 06:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Mon May 27 22:28:56 2024; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.